Skip Navigation Links
Exit Print View
| Oracle Solaris Cluster Geographic Edition System Administration Guide

Search Scope:

- This Document
- Entire Library

## General Properties of a Protection Group

The following table describes the protection group properties that the Geographic Edition software defines.

Table A-4 General Properties of a Protection Group

Property | Description
--- | ---
`Description` (string) | Describes the protection group. Tuning recommendations: This property can be tuned at any time. Category: Optional Default: Empty string
`External_Dependency_Allowed` (Boolean) | Allow dependencies between resource groups and resources that belong to this protection group and resource groups and resources that do not belong to this protection group when set to `true`. Tuning recommendations: This property can be tuned at any time. Category: Optional Default: `false`
`RoleChange_ActionArgs` (string) | Defines a string of arguments that are appended to the end of the command line when the role-change action command, `RoleChange_ActionCmd`, is run. Tuning recommendations: This property can be tuned at any time. Category: Optional Default: Empty string
`RoleChange_ActionCmd` (string) | Specifies the path to an executable command. This script is invoked during a switchover or takeover on the new primary cluster when the protection group is started on the new primary cluster. The script is invoked on the new primary cluster after the data replication role changes from secondary to primary and before the application resource groups are brought online. If the data replication role change does not succeed, then the script is not called. This path should be valid on all nodes of all partner clusters that can host the protection group. Tuning recommendations: This property can be tuned at any time. Category: Optional Default: Empty string
`Timeout` (integer) | Specifies the timeout period for the protection group in seconds. The timeout period is the longest time Geographic Edition waits for a response after you run a `geopg` command, such as `geopg start`, `geopg stop`, `geopg switchover`, and `geopg takeover`. If the command does not respond within the timeout period, the Geographic Edition software reports the operation as timed out, even if the underlying command eventually completes successfully. You should identify the amount of time required to perform a role-reversal of the data replication, and set the timeout value to 150% to 200% of that value to ensure enough time for the role-reversal to complete. To ensure that an operation has finished on the remote cluster, check system status after a timeout before attempting the operation again. For more information, see Troubleshooting Migration Problems. The timeout period applies to operations on a per-cluster basis. An operation with a local scope times out if the operation does not complete after the specified timeout period. An operation with a global scope consists of an action on the local cluster and an action on the remote cluster. The local and remote action are timed separately so that an operation with a global scope times out during one of the following conditions: The local operation does not complete after the specified timeout period. The remote operation does not complete after the specified timeout period. Tuning recommendations: This property can be tuned only when the protection group is offline. Category: Optional Range: 20-1000000 seconds Default: 200

Copyright © 2004, 2011, Oracle and/or its affiliates. All rights reserved. Legal Notices |